"""Change datatype of completeness

Revision ID: 231b6edcdd2e
Revises: 14e0541986d3
Create Date: 2016-02-29 16:04:29.928388

"""

# revision identifiers, used by Alembic.
revision = '231b6edcdd2e'
down_revision = '14e0541986d3'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE participations set completeness = '';
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('participations', 'completeness',
               existing_type=sa.INTEGER(),
               type_=sa.String(),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('participations', 'completeness',
               existing_type=sa.String(),
               type_=sa.INTEGER(),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(DELETES)
