"""update fp2 industry fields

Revision ID: 3e4e671323f6
Revises: e139c694ca75
Create Date: 2019-01-29 12:17:04.481032

"""

# revision identifiers, used by Alembic.
revision = '3e4e671323f6'
down_revision = 'e139c694ca75'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('industry_fp2_erzieherin', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('industry_fp2_nurse', sa.Integer(), nullable=True))
    op.execute("ALTER TABLE outputindicators ALTER COLUMN industry_fp2 "
               " TYPE INTEGER "
               " USING CASE WHEN industry_fp2 = '' THEN NULL "
               "            ELSE industry_fp2::integer END;")
    op.add_column('resultindicators', sa.Column('new_employment_industry_fp2_erzieherin', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('new_employment_industry_fp2_nurse', sa.Integer(), nullable=True))
    # ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('resultindicators', 'new_employment_industry_fp2_nurse')
    op.drop_column('resultindicators', 'new_employment_industry_fp2_erzieherin')
    op.alter_column('outputindicators', 'industry_fp2',
               existing_type=sa.Integer(),
               type_=sa.VARCHAR(),
               existing_nullable=True)
    op.drop_column('outputindicators', 'industry_fp2_nurse')
    op.drop_column('outputindicators', 'industry_fp2_erzieherin')
    # ### end Alembic commands ###
    iter_statements(DELETES)
